---

# golang patch: for old versions of golang that we use before big sur, there is no .shashum file on golang.org, move back plugin to when it didn't check these
- name: "Install asdf plugin {{ plugin.name }}"
  ansible.builtin.shell: >-
    . {{ ansible_user_dir }}/.asdf/asdf.sh &&
    asdf plugin-add {{ plugin.name }} {{ plugin.repository | default() }}
  args:
    creates: "{{ ansible_user_dir }}/.asdf/plugins/{{ plugin.name }}"
  environment:
    # Fix `gpg or gpg2 command not found!`
    PATH: "/usr/local/bin:{{ ansible_env.PATH }}"

- name: "Install asdf package versions for {{ plugin.name }}"
  ansible.builtin.shell: >-
    . {{ ansible_user_dir }}/.asdf/asdf.sh && asdf install {{ plugin.name }} {{ item }}
  args:
    creates: "{{ ansible_user_dir }}/.asdf/installs/{{ plugin.name }}/{{ item }}"
  environment:
    # Fix `.asdf/plugins/java/bin/install: line 88: gsha256sum: command not found`
    # Also ruby-build runs brew to check for shared libraries
    PATH: "/usr/local/bin:/opt/homebrew/bin:{{ ansible_env.PATH }}"
  loop: "{{ plugin.versions }}"

- name: "Set global asdf package version for {{ plugin.name }}"
  ansible.builtin.shell: >-
    set -o pipefail &&
    . {{ ansible_user_dir }}/.asdf/asdf.sh &&
    asdf global {{ plugin.name }} {% if plugin.global == "latest" %}$(asdf list {{ plugin.name }} | tail -n1){% else %}{{ plugin.global | default(plugin.versions[0]) }}{% endif %}
